View Issue Details

IDProjectCategoryView StatusLast Update
1876Cross SectionApp InteractionPublicJul 15th 2024 1:44 PM
ReporterNBug Reporter Assigned ToTravis Herzog  
Priority HighSeverityCrashReproducibilityHave Not Tried
Status AssignedResolutionOpen 
ProjectionMinor FixETAAround 1 Day 
PlatformWin32NTOSMicrosoft Windows NT 6.2.9200.0OS Version6.2.9200.0
Product Version1.23.0.6 
Target Version1.24.0.0 
Summary1876: Database access is not properly closed, which causes other applications to crash
DescriptionCross Section does not properly close the database after accessing it, which causes other applications to crash.

Could not lock file. @ DAO.Database OpenDatabase(System.String, System.Object, System.Object, System.Object) @ DAO._DBEngine

<SerializableException xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <ExtendedInformation>
    <ErrorCode>-2146825238</ErrorCode>
    <HResult>-2146825238</HResult>
  </ExtendedInformation>
  <HelpLink>jeterr40.chm#5003050</HelpLink>
  <InnerExceptions />
  <Message>Could not lock file.</Message>
  <Source>DAO.Workspace</Source>
  <StackTrace>   at DAO._DBEngine.OpenDatabase(String Name, Object Options, Object ReadOnly, Object Connect)
   at HdsDB.clsTitleResource.TitlesArray(TileResourceEnum avTitleEnum)</StackTrace>
  <TargetSite>DAO.Database OpenDatabase(System.String, System.Object, System.Object, System.Object) @ DAO._DBEngine</TargetSite>
  <Type>System.Runtime.InteropServices.COMException</Type>
</SerializableException>
Additional Information
<Report xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <GeneralInfo>
    <CLRVersion>4.0.30319.42000</CLRVersion>
    <DateTime>6/13/2024 1:49:39 AM</DateTime>
    <ExceptionMessage>Could not lock file.</ExceptionMessage>
    <ExceptionType>System.Runtime.InteropServices.COMException</ExceptionType>
    <HostApplication>HN32-PetroCalc.exe</HostApplication>
    <HostApplicationVersion>1.23.0.6</HostApplicationVersion>
    <NBugVersion>1.2.1.0</NBugVersion>
    <TargetSite>DAO.Database OpenDatabase(System.String, System.Object, System.Object, System.Object) @ DAO._DBEngine</TargetSite>
  </GeneralInfo>
</Report>
TagsBug, Crash, NBug
Attached Files
Exception_133627169796022637.zip (9,659,708 bytes)

Zip Contents

  • Exception.xml (805 bytes)   
    <?xml version="1.0"?>
    <SerializableException xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <ExtendedInformation>
        <ErrorCode>-2146825238</ErrorCode>
        <HResult>-2146825238</HResult>
      </ExtendedInformation>
      <HelpLink>jeterr40.chm#5003050</HelpLink>
      <Message>Could not lock file.</Message>
      <Source>DAO.Workspace</Source>
      <StackTrace>   at DAO._DBEngine.OpenDatabase(String Name, Object Options, Object ReadOnly, Object Connect)
       at HdsDB.clsTitleResource.TitlesArray(TileResourceEnum avTitleEnum)</StackTrace>
      <TargetSite>DAO.Database OpenDatabase(System.String, System.Object, System.Object, System.Object) @ DAO._DBEngine</TargetSite>
      <Type>System.Runtime.InteropServices.COMException</Type>
    </SerializableException>
      
  • Report.xml (706 bytes)   
    <?xml version="1.0"?>
    <Report xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <GeneralInfo>
        <CLRVersion>4.0.30319.42000</CLRVersion>
        <DateTime>6/13/2024 1:49:39 AM</DateTime>
        <ExceptionMessage>Could not lock file.</ExceptionMessage>
        <ExceptionType>System.Runtime.InteropServices.COMException</ExceptionType>
        <HostApplication>HN32-PetroCalc.exe</HostApplication>
        <HostApplicationVersion>1.23.0.6</HostApplicationVersion>
        <NBugVersion>1.2.1.0</NBugVersion>
        <TargetSite>DAO.Database OpenDatabase(System.String, System.Object, System.Object, System.Object) @ DAO._DBEngine</TargetSite>
      </GeneralInfo>
    </Report>
      
  • MiniDump.mdmp (821,764 bytes)
  • files/HDS.Net.Info.lic (584 bytes)   
    <?xml version="1.0" encoding="utf-8"?>
    <LicenseInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <Key>48ccceaf-f4cf-4786-920c-f35a5247ee6c</Key>
      <IssueDate>2024-04-25T00:00:00</IssueDate>
      <ExpireDate>2025-05-01T00:00:00</ExpireDate>
      <IssuedTo>Probe</IssuedTo>
      <Company>Probe</Company>
      <IssuedBy>Hydrocarbon Data Systems, Inc. - AS</IssuedBy>
      <Copies>4</Copies>
      <Type>Workstation</Type>
      <Package>Full</Package>
      <Demo>false</Demo>
      <Test>false</Test>
      <Verified>true</Verified>
    </LicenseInfo>
      
  • files/Logs/HDSlog.txt (9,825,249 bytes)
  • files/Data/SOCAR_1160/SOCAR_1160.mdb (18,565,120 bytes)

Installation TypeWorkstation

Relationships

has duplicate 1877 Archived HdsData Could not lock file. @ DAO.Database OpenDatabase(System.String, System.Object, System.Object, System.Object) @ DAO._DBEngine 

Activities